Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.testing.junit
Class TestSuiteVisitor

    java.lang.Object
      org.hibernate.testing.junit.TestSuiteVisitor

    public class TestSuiteVisitor

extends Object

Handles walking a TestSuite hierarchy for recognition of individual tests.

Author:
  Steve Ebersole

Nested Class Summary
`static interface` | `TestSuiteVisitor.Handler`

Constructor Summary
`TestSuiteVisitor(TestSuiteVisitor.Handler handler)`

Method Summary
`void` | `visit(junit.framework.TestSuite testSuite)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestSuiteVisitor

    public TestSuiteVisitor(TestSuiteVisitor.Handler handler)

Method Detail

### visit

    public void visit(junit.framework.TestSuite testSuite)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.